<?php

include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/admin/model/db.php");
include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/admin/functions.php");

// Get all post types that are public

$default_firebar = WPsite_Firebar_Admin_Functions::default_firebar();
$post_types = get_post_types(array('public' => true));
$wpsite_firebar_db = new WPsite_Firebar_DB();

global $wp_roles;

// If the user saves a firebar

if (( isset($_POST['submit']) || isset($_POST['submit_aweber'])) && check_admin_referer(self::$prefix . 'admin_settings')) {

	// Redirect back to the dashboard page if the Firebar name field is blank

	if (empty($_POST[self::$prefix_dash . 'name'])) {
		?>
		<script type="text/javascript">
			window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$dashboard_page; ?>";
		</script>
		<?php
	}

	// Get all settings into an array so we can save it to the database

	$firebar = WPsite_Firebar_Admin_Functions::save_data();

	// Add new Firebar

	if($_POST["submit"] == "Save") {
		$wpsite_firebar_db->add_data($firebar);
		?>
		<script type="text/javascript">
			window.location= "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$dashboard_page; ?>";
		</script>
		<?php
	}

	// Update Firebar

	if($_POST["submit"] == "Update") {

		$firebar['id'] = $_GET['firebar_id'];
		$wpsite_firebar_db->update_data($firebar);

/*
		?>
		<script type="text/javascript">
			window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$dashboard_page; ?>";
		</script>
		<?php
*/
	}
}

// Get current Firebar data if user is editing a Firebar

if (isset($_GET["firebar_id"])) {

	$edit_data = $wpsite_firebar_db->get_data_from_id($_GET["firebar_id"]);

}

// Get default data if user is creating a new firebar

else {

	// Create default values from all post types

	$trigger = array();
	foreach ($post_types as $post_type) {
		$trigger[$post_type] = array(
			'all'	=>	1,
			'id'	=>	''
		);
	}

	$trigger['type'] = 'site';
	$trigger['category'] = array(
		'all' => 1,
		'id' => ''
	);
	$trigger['tag'] = array(
		'id' => ''
	);

	$edit_data = array_merge(WPsite_Firebar_Admin_Functions::default_firebar(), array('trigger' => $trigger));
}

if(!is_array($edit_data['trigger'])) 		$edit_data['trigger']          = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($edit_data['trigger']);
if(!is_array($edit_data['text_link'])) 		$edit_data['text_link']        = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($edit_data['text_link']);
if(!is_array($edit_data['social'])) 		$edit_data['social']           = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($edit_data['social']);
if(!is_array($edit_data['news_letter']))	$edit_data['news_letter']      = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($edit_data['news_letter']);
if(!is_array($edit_data['args'])) 			$edit_data['args']             = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($edit_data['args']);

$edit_data['args']['font_family'] = stripcslashes($edit_data['args']['font_family']);

$post_types_array = array();
foreach ($post_types as $post_type) {
	$post_types_array[] = $post_type;
}

wp_localize_script(self::$prefix . 'admin_add_edit_js', 'wps_fb_data', array(
	'ajaxurl'		=> admin_url( 'admin-ajax.php' ),
	'prefix'		=> self::$prefix,
	'prefix_dash' 	=> self::$prefix_dash,
	'post_types'	=> $post_types_array,
));

include_once(WPSITE_FIREBAR_PLUGIN_DIR . 'admin/views/add-edit.php');